> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Fleet Operation

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`KeyStores:Fleets:Cancel`: Always required.


## OpenAPI

````yaml /openapi.yaml post /key-stores/{storeId}/fleet-operations/cancel
openapi: 3.1.0
info:
  version: 1.941.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /key-stores/{storeId}/fleet-operations/cancel:
    post:
      tags:
        - Signers
      summary: Cancel Fleet Operation
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: storeId
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                groupId:
                  type: string
                  minLength: 1
                reason:
                  type: string
                  minLength: 1
                  maxLength: 2000
              required:
                - groupId
              additionalProperties: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  groupId:
                    type: string
                  storeId:
                    type: string
                  orgId:
                    type: string
                  status:
                    type: string
                    enum:
                      - Initialized
                      - InReview
                      - Rejected
                      - Approved
                      - Canceled
                  createdBy:
                    type: string
                  submittedBy:
                    type:
                      - string
                      - 'null'
                  dateSubmitted:
                    type:
                      - string
                      - 'null'
                  reviewedBy:
                    type:
                      - string
                      - 'null'
                  dateReviewed:
                    type:
                      - string
                      - 'null'
                  canceledBy:
                    type:
                      - string
                      - 'null'
                  dateCanceled:
                    type:
                      - string
                      - 'null'
                  reason:
                    type:
                      - string
                      - 'null'
                  dateCreated:
                    type: string
                  operations:
                    type: array
                    items:
                      type: object
                      properties:
                        operationId:
                          type: string
                        kind:
                          type: string
                          enum:
                            - Genesis
                            - Clone
                            - AddMacUser
                            - KeyHarvest
                            - AddProvisioner
                        status:
                          type: string
                          enum:
                            - Initialized
                            - InReview
                            - Rejected
                            - Approved
                            - Canceled
                        dateCreated:
                          type: string
                      required:
                        - operationId
                        - kind
                        - status
                        - dateCreated
                required:
                  - groupId
                  - storeId
                  - orgId
                  - status
                  - createdBy
                  - submittedBy
                  - dateSubmitted
                  - reviewedBy
                  - dateReviewed
                  - canceledBy
                  - dateCanceled
                  - reason
                  - dateCreated
                  - operations
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````